com.hazelcast.config.properties

## Class SimplePropertyDefinition

- java.lang.Object
- - com.hazelcast.config.properties.SimplePropertyDefinition

- All Implemented Interfaces:
    PropertyDefinition

      public class SimplePropertyDefinition
      extends Object
      implements PropertyDefinition

  Simple immutable implementation of `PropertyDefinition` for convenience of implementors.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimplePropertyDefinition(String key, boolean optional, TypeConverter typeConverter)`
    `SimplePropertyDefinition(String key, boolean optional, TypeConverter typeConverter, ValueValidator validator)`
    `SimplePropertyDefinition(String key, TypeConverter typeConverter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `key()` Returns the key (the name) of this property inside the configuration.
    `boolean` | `optional()` Defines if this property is optional or not.
    `TypeConverter` | `typeConverter()` The `TypeConverter` to be used to convert the string value read from XML to the expected type automatically.
    `ValueValidator` | `validator()` Returns an optional validator to validate a value before finalizing the configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimplePropertyDefinition

          public SimplePropertyDefinition(String key,
                                          TypeConverter typeConverter)

    - #### SimplePropertyDefinition

          public SimplePropertyDefinition(String key,
                                          boolean optional,
                                          TypeConverter typeConverter)

    - #### SimplePropertyDefinition

          public SimplePropertyDefinition(String key,
                                          boolean optional,
                                          TypeConverter typeConverter,
                                          ValueValidator validator)

  - ### Method Detail

    - #### typeConverter

          public TypeConverter typeConverter()

      Description copied from interface: `PropertyDefinition`
      The `TypeConverter` to be used to convert the string value read from XML to the expected type automatically.
      Specified by:
        `typeConverter` in interface `PropertyDefinition`
      Returns:
        a defined type converter to convert from string to another type

    - #### key

          public String key()

      Description copied from interface: `PropertyDefinition`
      Returns the key (the name) of this property inside the configuration.
      Specified by:
        `key` in interface `PropertyDefinition`
      Returns:
        returns the property key

    - #### validator

          public ValueValidator validator()

      Description copied from interface: `PropertyDefinition`
      Returns an optional validator to validate a value before finalizing the configuration.
      Specified by:
        `validator` in interface `PropertyDefinition`
      Returns:
        the optional validator. Is allowed to be `null` in case there is no validation required.

    - #### optional

          public boolean optional()

      Description copied from interface: `PropertyDefinition`
      Defines if this property is optional or not. Optional properties don't have to be set inside the configuration but if set they need to pass a possibly defined `ValueValidator` test.
      Specified by:
        `optional` in interface `PropertyDefinition`
      Returns:
        `true` if this property is optional, `false` otherwise

Copyright © 2018. All rights reserved.